summaryrefslogtreecommitdiff
path: root/t/lib-git-svn.sh
diff options
context:
space:
mode:
authorLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 17:55:18 -0700
committerLibravatar Junio C Hamano <gitster@pobox.com>2009-04-12 17:56:25 -0700
commit7d5a1806e8c2d9980938a05a56939272ad2ec338 (patch)
tree6a09da6a7a0d76a3bf1fc0f2d860349c6efe1de9 /t/lib-git-svn.sh
parentt1301-shared-repo: fix forced modes test (diff)
parentGIT 1.6.3-rc0 (diff)
downloadtgif-7d5a1806e8c2d9980938a05a56939272ad2ec338.tar.xz
Mark t1301 permission test to depend on POSIXPERM
This prepares the topic for inclusion to master.
Diffstat (limited to 't/lib-git-svn.sh')
-rw-r--r--t/lib-git-svn.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/t/lib-git-svn.sh b/t/lib-git-svn.sh
index 67c431d4eb..773d47cf3c 100644
--- a/t/lib-git-svn.sh
+++ b/t/lib-git-svn.sh
@@ -5,9 +5,12 @@ git_svn_id=git""-svn-id
if test -n "$NO_SVN_TESTS"
then
- test_expect_success 'skipping git svn tests, NO_SVN_TESTS defined' :
+ say 'skipping git svn tests, NO_SVN_TESTS defined'
+ test_done
+fi
+if ! test_have_prereq PERL; then
+ say 'skipping git svn tests, perl not available'
test_done
- exit
fi
GIT_DIR=$PWD/.git
@@ -17,9 +20,8 @@ SVN_TREE=$GIT_SVN_DIR/svn-tree
svn >/dev/null 2>&1
if test $? -ne 1
then
- test_expect_success 'skipping git svn tests, svn not found' :
+ say 'skipping git svn tests, svn not found'
test_done
- exit
fi
svnrepo=$PWD/svnrepo
@@ -41,9 +43,8 @@ then
else
err='Perl SVN libraries not found or unusable, skipping test'
fi
- test_expect_success "$err" :
+ say "$err"
test_done
- exit
fi
rawsvnrepo="$svnrepo"
@@ -144,7 +145,6 @@ require_svnserve () {
then
say 'skipping svnserve test. (set $SVNSERVE_PORT to enable)'
test_done
- exit
fi
}